Bug 248961 - [patch] databases/pecl-rrd: Fix build with PHP 7.4.x
Summary: [patch] databases/pecl-rrd: Fix build with PHP 7.4.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-08-28 12:10 UTC by Renato Botelho
Modified: 2020-09-16 20:08 UTC (History)
0 users

See Also:
flo: maintainer-feedback+


Attachments
fix build with php 7.4 (1.54 KB, patch)
2020-08-28 12:10 UTC, Renato Botelho
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Renato Botelho freebsd_committer 2020-08-28 12:10:12 UTC
Created attachment 217583 [details]
fix build with php 7.4

Add a patch replacing ulong by u_long and fix build with PHP 7.4

Obtained from: pfSense

https://github.com/pfsense/FreeBSD-ports/commit/2e643484c9ec45dc659cd665d7da5b9f265851af
Comment 1 Florian Smeets freebsd_committer 2020-08-29 06:25:45 UTC
Approved.
Comment 2 commit-hook freebsd_committer 2020-09-16 20:05:06 UTC
A commit references this bug:

Author: flo
Date: Wed Sep 16 20:05:01 UTC 2020
New revision: 548797
URL: https://svnweb.freebsd.org/changeset/ports/548797

Log:
  Fix build with PHP 7.4

  PR:		248961
  Submitted by:	garga

Changes:
  head/databases/pecl-rrd/Makefile
  head/databases/pecl-rrd/files/
  head/databases/pecl-rrd/files/patch-rrd.c
Comment 3 Florian Smeets freebsd_committer 2020-09-16 20:08:09 UTC
Committed. Thanks.